{
  pkgs,
  ...
}: {
  
  fonts = {
    enableDefaultFonts = false;
    fontDir.enable = true;
    fonts = with pkgs; [
      ibm-plex
      openmoji-color
      material-design-icons
    ];

    fontconfig = {
      enable = true;
      allowBitmaps = true;
      defaultFonts = {
        monospace = [ "IBM Plex Mono" "Openmoji Color" "Material Design Icons" ];
        serif = [ "IBM Plex Sans" "Openmoji Color" "Material Design Icons" ];
        sansSerif = [ "IBM Plex Sans" "Openmoji Color" "Material Design Icons" ];
        emoji = [ "Openmoji Color" ];
      };
      
      hinting.style = "hintfull";
    
    };
  };
}
